Bug 592350 - Should escape job titles in error dialog markup
Summary: Should escape job titles in error dialog markup
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
(Show other bugs)
Version: 11
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 592352
TreeView+ depends on / blocked
 
Reported: 2010-05-14 15:53 UTC by Tim Waugh
Modified: 2010-07-27 02:53 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.1.19-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 592352 (view as bug list)
Environment:
Last Closed: 2010-06-28 15:44:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 567324 None None None Never

Description Tim Waugh 2010-05-14 15:53:57 UTC
Try this:

echo . | lp -t "foo <bar>"

for a queue that is enabled and accepting jobs, but where the printer isn't actually switched on (so that the backend process will start up and just wait until it can print) and run 'kill -11 $PID' on the backend process.  system-config-printer-applet will display a message containing <span> markup.

Easy fix, already upstream.

system-config-printer-1.1.18-6.fc11

Comment 1 Fedora Update System 2010-05-18 16:23:20 UTC
system-config-printer-1.1.19-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc11

Comment 2 Fedora Update System 2010-05-18 16:23:55 UTC
system-config-printer-1.1.19-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc12

Comment 3 Fedora Update System 2010-05-19 19:17:11 UTC
system-config-printer-1.1.19-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc11

Comment 4 Fedora Update System 2010-05-19 19:21:41 UTC
system-config-printer-1.1.19-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.1.19-1.fc12

Comment 5 Bug Zapper 2010-06-28 15:44:25 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Fedora Update System 2010-07-27 02:52:12 UTC
system-config-printer-1.1.19-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.